Bug 809112 - ConcurrentModificationException in BasicConnectionTable.retainAll
ConcurrentModificationException in BasicConnectionTable.retainAll
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: unspecified (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ER6
: BRMS 5.3.0.GA
Assigned To: trev
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 10:09 EDT by Julian Coleman
Modified: 2012-05-18 06:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 809110
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-7722 Major Resolved ConcurrentModificationException in BasicConnectionTable.retainAll 2013-09-23 23:50:28 EDT

  None (edit)
Description Julian Coleman 2012-04-02 10:09:04 EDT
JBPAPP-7722

A race condition in JGroups can cause a ConcurrentModificationException in org.jgroups.blocks.BasicConnectionTable#retainAll, which skips notifying any view listeners of a new cluster view.
Comment 1 Nick Cross 2012-04-11 05:09:42 EDT
BZ808127/BZ809110/JBPAPP-7722 Fix for jgroups.jar
Comment 2 Ryan Zhang 2012-04-23 03:38:37 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 4 Lukáš Petrovický 2012-05-17 09:40:57 EDT
Both the JAR in the JIRA and the JAR in ER7 have the following md5sum:
97d0c0ea8bc96ec9a8aeb8840f3d9057

VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.